Bug 127871 - voluntary preemption patch is not completely included
voluntary preemption patch is not completely included
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-07-14 16:39 EDT by Hans Ecke
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-15 13:48:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hans Ecke 2004-07-14 16:39:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux; en_US, en) (KHTML, like Gecko)

Description of problem:
In short: the version of voluntary preemption included in the latest  testing kernels misses features from the upstream version from Ingo Molnar. This is
   * voluntary and involuntary preemption can not be enabled at the same time
   * status of neither can be set in /proc/sys/kernel


After reading the article about voluntary preemption at
I wanted to try it out. Since Arjan's kernels from
say that they include voluntary preemption, I downloaded kernel-sourcecode-2.6.7-1.486 and compiled a new kernel from that. (I need my own kernel for read access to NTFS, but that is the only difference to his default kernel)

Compiling the kernel showed the first difference to the article: PREEMPT and PREEMPT_VOLUNTARY can not be set at the same time.

Afer rebooting I wanted to see what /proc/sys/kernel/voluntary_preemption and /proc/sys/kernel/kernel_preemption say. But neither are available.

Looking through patches 1080, 1081, 1082 (from kernel-2.6.7-1.486.src.rpm) it becomes apparent that this version of voluntary preempt is quite a bit different from the one presented at

Is there a reason for that?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.download kernel-2.6.7-1.486.src.rpm
2.rpm -i <file.src.rpm>
3.look at linux-2.6.7-voluntary-preemption.patch, linux-2.6.7-early-schedule.patch, linux-2.6.7-might_sleep.patch in /usr/src/redhat/SOURCES


Actual Results:  * when recompiling, PREEMPT and PREEMPT_VOLUNTARY can not be set at the same time
* knobs in /proc/sys/kernel are missing

Expected Results:  * when recompiling, PREEMPT and PREEMPT_VOLUNTARY should both be settable
* knobs in /proc/sys/kernel are available

Additional info:

This is not so much a bugreport as a request for comment: why did you cut those features out?
Comment 1 Arjan van de Ven 2004-07-15 03:57:39 EDT
the proc knobs in Ingo's patch were only temporary (as per his
announcement); the patch in the kernel rpm is closer to the final
form, eg it is always on and far less invasive to the kernel.
Comment 2 Hans Ecke 2004-07-15 13:48:26 EDT
Thanks for the information. 

Note You need to log in before you can comment on or make changes to this bug.